{
    num: -32197,
    accuracy: 95,
    basePower: 75,
    basePowerCallback(pokemon, target, move) {
      if (["voidfog"].includes(pokemon.effectiveWeather())) {
        this.debug("BP boost in void fog");
        return move.basePower * 1.5;
      }
      return move.basePower;
    },
    category: "Special",
    name: "Nightfall",
    pp: 10,
    priority: 0,
    flags: { protect: 1, mirror: 1 },
    onTryMove(attacker, defender, move) {
      if (["sunnyday"].includes(attacker.effectiveWeather())) {
        this.damage(attacker.baseMaxhp / 6, attacker, attacker, this.dex.conditions.get("Nightfall"));
        this.field.clearWeather();
        this.field.setWeather("voidfog");
      }
    },
    secondary: null,
    target: "normal",
    type: "Dark",
    contestType: "Cool"
}